Bug 104703 - www/gallery2 knob for php5-gettext missing
Summary: www/gallery2 knob for php5-gettext missing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-23 09:20 UTC by Bernard Spil
Modified: 2006-11-13 11:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2006-10-23 09:20:17 UTC
Add knob for run-dependency to php5-gettext in gallery2-2.1.2 port.

When running the install of gallery2, gallery suggests to use gettext:
"Your webserver does not support localization. To enable support for
additional languages please instruct your system administrator to
reconfigure PHP with the gettext option enabled."

There is no knob/run-dependency for gallery2 in the Makefile for gallery2-2.1.2

Fix: 

cd /usr/ports/devel/php5-gettext
make
make install

http://localhost/gallery2/install
How-To-Repeat: Clean install of gallery
Comment 1 Edwin Groothuis freebsd_committer 2006-10-23 09:20:25 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Kay Abendroth 2006-10-24 20:34:40 UTC
Maybe sth. like that:

http://www.raxion.net/freebsd/patch/_patch_gallery2.txt
Comment 3 Alex Varju 2006-10-28 23:18:04 UTC
This patch will make gettext an optional dependency, which will be 
enabled automatically unless WITHOUT_NLS is set:

http://www.varju.ca/alex/freebsd/gallery-2.1_1.patch

The patch also makes NetPBM an optional dependency, since it seems silly 
to require both NetPBM and ImageMagick.

Alex.
Comment 4 Alex Varju 2006-11-12 21:06:31 UTC
I approve of the patch submitted Oct 28.
Comment 5 dfilter service freebsd_committer 2006-11-13 11:36:59 UTC
miwi        2006-11-13 11:36:50 UTC

  FreeBSD ports repository

  Modified files:
    www/gallery2         Makefile 
  Log:
  - Add php5-gettext knob
  
  PR:             ports/104703
  Submitted by:   Spil<spil.oss@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.48      +5 -2      ports/www/gallery2/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2006-11-13 11:37:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!